Mac OS X : Spinboxes are partly greyed

2015-06-09 09:59 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: OsX UI

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21004

Description

As shown in the screenshot attached, all the spinboxes in the Print composer's tabs are partly greyed at the right side, hiding potential

information. The "Rotation" spinbox on the status bar also displays like this. But this is not the case for those in Settings > options menu

for example

Associated revisions

Revision f16b3870 - 2016-09-08 02:10 PM - Nyall Dawson

Use QgsFilterLineEdit for Qgs(Double)SpinBox

Fixes issues with the current approach:

- poor appearance on certain environments (esp OSX)

- large area on spin boxes' right which "swallows" clicks

and blocks interactivity

Fix #12920

Revision d7401dfc - 2016-09-08 11:06 PM - Nyall Dawson

Use QgsFilterLineEdit for Qgs(Double)SpinBox

Fixes issues with the current approach:

- poor appearance on certain environments (esp OSX)

- large area on spin boxes' right which "swallows" clicks

and blocks interactivity

Fix #12920

(cherry-picked from f16b3870fa21aabb614ab81fa2ddd63b98df75ee)

History

#1 - 2016-09-08 02:02 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"f16b3870fa21aabb614ab81fa2ddd63b98df75ee".
